Loading...
Searching...
No Matches
Opm::Pybind::PyBaseSimulator< TypeTag > Class Template Reference

## Public Types

using | PyCArray = py::array_t<double, py::array::c_style | py::array::forcecast>

## Public Member Functions

| PyBaseSimulator (const std::string &deckFilename, const std::vector< std::string > &args)
| PyBaseSimulator (std::shared_ptr< Deck > deck, std::shared_ptr< EclipseState > state, std::shared_ptr< Schedule > schedule, std::shared_ptr< SummaryConfig > summary_config, const std::vector< std::string > &args)
void | advance (int report_step)
bool | checkSimulationFinished ()
int | currentStep ()
py::array_t< double > | getFluidStateVariable (const std::string &name) const
py::array_t< double > | getCellVolumes ()
double | getDT ()
py::array_t< double > | getPorosity ()
py::array_t< double > | getPrimaryVariable (const std::string &variable) const
py::array_t< int > | getPrimaryVarMeaning (const std::string &variable) const
std::map< std::string, int > | getPrimaryVarMeaningMap (const std::string &variable) const
int | run ()
void | setPorosity (PyCArray array)
void | setPrimaryVariable (const std::string &idx_name, PyCArray array)
void | setupMpi (bool init_mpi, bool finalize_mpi)
int | step ()
int | stepCleanup ()
int | stepInit ()

## Protected Member Functions

FlowMain< TypeTag > & | getFlowMain () const
PyFluidState< TypeTag > & | getFluidState () const
PyMaterialState< TypeTag > & | getMaterialState () const

## Protected Attributes

const std::string | deck_filename_ {}
bool | has_run_init_ {false}
bool | has_run_cleanup_ {false}
bool | mpi_init_ {true}
bool | mpi_finalize_ {true}
std::unique_ptr< PyMain< TypeTag > > | main_ {}
std::unique_ptr< FlowMain< TypeTag > > | flow_main_ {}
Simulator * | simulator_ {nullptr}
std::unique_ptr< PyFluidState< TypeTag > > | fluid_state_ {}
std::unique_ptr< PyMaterialState< TypeTag > > | material_state_ {}
std::shared_ptr< Deck > | deck_ {}
std::shared_ptr< EclipseState > | eclipse_state_ {}
std::shared_ptr< Schedule > | schedule_ {}
std::shared_ptr< SummaryConfig > | summary_config_ {}
std::vector< std::string > | args_ {}

The documentation for this class was generated from the following files:

- opm/simulators/flow/python/PyBaseSimulator.hpp
- opm/simulators/flow/python/PyBaseSimulator_impl.hpp